#!/bin/bash
# RELEASE var is defined in build.sh script

set -ouex pipefail

rpm-ostree install https://mirrors.rpmfusion.org/free/fedora/rpmfusion-free-release-$RELEASE.noarch.rpm \
    https://mirrors.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$RELEASE.noarch.rpm

# see https://rpmfusion.org/Howto/NVIDIA#Kernel_Open
rpm-ostree install rpmfusion-nonfree-release-tainted

rpm-ostree install akmod-nvidia-open xorg-x11-drv-nvidia-cuda libva-nvidia-driver \
    nvidia-vaapi-driver libva-utils vdpauinfo xorg-x11-drv-nvidia-cuda-libs

cp /tmp/scripts/nvidia/modprobe.d/*.conf /etc/modprobe.d/